Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.filetransfer
Class FileTransferRejectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.filetransfer.FileTransferRejectedException

All Implemented Interfaces:
  Serializable

    public class FileTransferRejectedException

extends Exception

Thrown by a FileTransferInterceptor when a file transfer is rejected my the Interceptor. The file transfer is aborted and the participating parties are notified.

Author:
  Alexander Wenckus
See Also:
  Serialized Form

Constructor Summary
`FileTransferRejectedException()`
`FileTransferRejectedException(String msg)`
`FileTransferRejectedException(String msg, Throwable nestedThrowable)`
`FileTransferRejectedException(Throwable nestedThrowable)`

Method Summary
`String` | `getRejectionMessage()` Retuns the text to include in a message that will be sent to the intitiator and target of the file transfer that got rejected or `null` if none was defined.
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`
`void` | `setRejectionMessage(String rejectionMessage)` Sets the text to include in a message that will be sent to the intiator and target of the file transfer that got rejected or `null` if no message will be sent to the parties of the rejected file transfer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileTransferRejectedException

    public FileTransferRejectedException()

### FileTransferRejectedException

    public FileTransferRejectedException(String msg)

### FileTransferRejectedException

    public FileTransferRejectedException(Throwable nestedThrowable)

### FileTransferRejectedException

    public FileTransferRejectedException(String msg,
                                         Throwable nestedThrowable)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

### getRejectionMessage

    public String getRejectionMessage()

  Retuns the text to include in a message that will be sent to the intitiator and target of the file transfer that got rejected or `null` if none was defined. If no text was specified then no message will be sent to the parties of the rejected file transfer.

  Returns:
    the text to include in a message that will be sent to the parties of the file transfer that got rejected or `null` if none was defined.

### setRejectionMessage

    public void setRejectionMessage(String rejectionMessage)

  Sets the text to include in a message that will be sent to the intiator and target of the file transfer that got rejected or `null` if no message will be sent to the parties of the rejected file transfer. Bt default, no message will be sent.

  Parameters:
    `rejectionMessage` - the text to include in the notification message for the rejection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.